package de.ivu.elect.business.gruppe.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.business.image.boundary.BildDAO;
import de.ivu.elect.business.image.entity.Bild;

/**
 *  on 02.12.2015.
 */
@Stateless
public class GruppeLogo {

  @Inject
  GruppeDAO gruppeDAO;

  @Inject
  BildDAO bildDAO;

  public void saveLogo(Gruppe gruppeNotAttached, byte[] content, String mimeType) {
    Gruppe gruppe = gruppeDAO.attach(gruppeNotAttached);

    if (!gruppe.isLogoVorhanden()) {
      Bild bild = new Bild();
      bildDAO.persist(bild);
      gruppe.setLogo(bild);
    }

    Bild logo = gruppe.getLogo();
    logo.setMimeType(mimeType);
    logo.setContent(content);
  }

  public void deleteLogo(Gruppe gruppeNotAttached) {
    Gruppe gruppe = gruppeDAO.attach(gruppeNotAttached);
    Bild bild = gruppe.getLogo();
    gruppe.setLogo(null);
    bildDAO.remove(bild);
  }
}
